import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebTileManagerDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private n;
    get resizeMode(): string;
    set resizeMode(a: string);
    private j;
    get dragMode(): string;
    set dragMode(a: string);
    private h;
    get columnCount(): number;
    set columnCount(a: number);
    private l;
    get minColumnWidth(): string;
    set minColumnWidth(a: string);
    private m;
    get minRowHeight(): string;
    set minRowHeight(a: string);
    private k;
    get gap(): string;
    set gap(a: string);
    private r;
    get tileFullscreenRef(): string;
    set tileFullscreenRef(a: string);
    private s;
    get tileMaximizeRef(): string;
    set tileMaximizeRef(a: string);
    private q;
    get tileDragStartRef(): string;
    set tileDragStartRef(a: string);
    private p;
    get tileDragEndRef(): string;
    set tileDragEndRef(a: string);
    private o;
    get tileDragCancelRef(): string;
    set tileDragCancelRef(a: string);
    private v;
    get tileResizeStartRef(): string;
    set tileResizeStartRef(a: string);
    private u;
    get tileResizeEndRef(): string;
    set tileResizeEndRef(a: string);
    private t;
    get tileResizeCancelRef(): string;
    set tileResizeCancelRef(a: string);
}
